// list01.pov
// Persistence of Vision Raytracer

/* Listing 1 erzeugt Bild 2
  Achsenkreuz mit Kugel    */

#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

camera {
   location <3.0, 2.5, -7.0>
   direction <0.0, 0.0, 1.0>
   up <0.0, 1.0, 0.0>
   right <1.333333, 0.0, 0.0>
   look_at <3.0, 2.5, 0.0>
  }

object {
   Cylinder_X    /*x-Achse*/
    scale 0.1
    pigment { color Red }
  }

object {
    Cylinder_Y    /*y-Achse*/
    scale 0.1
    pigment { color Blue  }
 }

object {
   Cylinder_Z    /*z-Achse*/
     scale 0.1
     pigment { color Yellow  }
 }

object {   /*Kugel*/
   sphere { <3.5, 3.3, 1.5>, 1.0  
     pigment { colour White }
     finish  {
       reflection 1.0
       phong 1.0
     }
   }
 }


/* Lichtquelle */

object {
   light_source { <-8.0, 10.0, -10.0> colour White  }
 }
