// list02.pov
// Persistence of Vision Raytracer
/* Listing 2 erzeugt Bild 3 */

#include "shapes.inc"
#include "colors.inc"
#include "textures.inc"

camera {
   location <0.0, 4.0, -2.5>
   direction <0.0, 0.0, 1.0>
   up <0.0, 1.0, 0.0>
   right <1.333333, 0.0, 0.0>
   look_at <0.0, 2.0, 7.0>
 }

object {
   union {
     sphere { <2.5, 2.5, 7.0> 2.0 }
     object { Cube scale 1.7 
        translate <2.5, 2.5, 7.0> }
     pigment { colour White }
   }
 }

object {
   difference {
     sphere { <-2.5 2.5 7.0> 2.0  }
     object { Cube scale 1.7 
        translate <-2.5, 2.5, 7.0> }
     pigment { colour White }
   }
 }

object {
  plane {<0.0, 1.0, 0.0>, -4.5  }
  pigment { colour Blue }
 }

/* Lichtquelle */
object {
   light_source {
    <2.0, 20.0, 0.0> colour White }
 }
